package AccordionBus;

import java.awt.*;

// Класс, отвечающий за прорисовку дополнительных дверей
public class DrawingDoors {
    private NumDoors numDoors;

    public void setNumDoors(int num) {
        for (NumDoors temp : numDoors.values()) {
            if (temp.getNumDoors() == num) {
                numDoors = temp;
                return;
            }
        }
    }

    public void DrawDoors(Graphics2D g2d, EntityAccordionBus AccordionBus, Color additionalColor, int _startPosX, int _startPosY) {
        g2d.setColor(additionalColor);
        int value = numDoors.getNumDoors();
        if (value >= 3) {
            g2d.setColor(Color.BLACK);
            g2d.setStroke(new BasicStroke(2));
            g2d.drawRect(_startPosX + 40, _startPosY + 10, 15, 30);
            g2d.setColor(Color.WHITE);
            g2d.fillRect(_startPosX + 41, _startPosY + 11, 14, 29);
        }
        if (value >= 4) {
            g2d.setColor(Color.BLACK);
            g2d.setStroke(new BasicStroke(2));
            g2d.drawRect(_startPosX + 75, _startPosY + 10, 15, 30);
            g2d.setColor(Color.WHITE);
            g2d.fillRect(_startPosX + 76, _startPosY + 11, 14, 29);
        }
        if (value >= 5 && AccordionBus.isAdditionalBody()) {
            g2d.setColor(Color.BLACK);
            g2d.setStroke(new BasicStroke(2));
            g2d.drawRect(_startPosX + 145, _startPosY + 10, 15, 30);
            g2d.setColor(Color.WHITE);
            g2d.fillRect(_startPosX + 146, _startPosY + 11, 14, 29);
        }
    }
}
