package AccordionBus;

import java.awt.*;

// Класс, отвечающий за первый тип орнамента отрисовки дополнительных дверей
public class DrawingDoorsTypeOne implements IDrawingDoors {
    private NumDoors numDoors;

    public void setNumDoors(int num) {
        for (NumDoors temp : numDoors.values()) {
            if (temp.getNumDoors() == num) {
                numDoors = temp;
                return;
            }
        }
    }

    public void DrawDoors(Graphics2D g2d, Color color, boolean isAdditionalBody, int _startPosX, int _startPosY) {
        int value = numDoors.getNumDoors();
        if (value >= 3) {
            g2d.setColor(Color.BLACK);
            g2d.setStroke(new BasicStroke(2));
            g2d.drawRect(_startPosX + 40, _startPosY + 10, 15, 30);
            g2d.setColor(color);
            g2d.fillRect(_startPosX + 41, _startPosY + 11, 14, 29);
        }
        if (value >= 4) {
            g2d.setColor(Color.BLACK);
            g2d.setStroke(new BasicStroke(2));
            g2d.drawRect(_startPosX + 75, _startPosY + 10, 15, 30);
            g2d.setColor(color);
            g2d.fillRect(_startPosX + 76, _startPosY + 11, 14, 29);
        }
        if (value >= 5 && isAdditionalBody) {
            g2d.setColor(Color.BLACK);
            g2d.setStroke(new BasicStroke(2));
            g2d.drawRect(_startPosX + 145, _startPosY + 10, 15, 30);
            g2d.setColor(color);
            g2d.fillRect(_startPosX + 146, _startPosY + 11, 14, 29);
        }
    }
}
