package AccordionBus;

// Интерфейс для работы с перемещаемым объектом
public interface IMoveableObject {
    // Получение координаты X объекта
    ObjectParameters GetObjectPosition();

    // Шаг объекта
    int GetStep();

    // Проверка, можно ли переместиться по нужному направлению
    boolean CheckCanMove(DirectionType direction);

    // Изменение направления перемещения объекта
    void MoveObject(DirectionType direction);
}
